export function positive_integer(test_n: number): boolean {
  return (Number.isInteger(test_n) && test_n > 0)
}

export function from_1_to_n(n: number): number[] {
  return Array.from({ length: n }, (v: unknown, i) => i+1)
}

export function zipWith<A,B,C>(fn: (a: A, b: B) => C, arr1: A[], arr2: B[]): C[] {
  return arr1.map((v, i) => {
    return fn(v, arr2[i]);
  });
}

export function zip<A,B,C>(arr1: A[], arr2: B[]): [A, B][] {
  return arr1.map((v, i) => {
    return [v, arr2[i]];
  });
}
